curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/netRateSchemes/{netRateSchemeUid}/workflowStepNetSchemes/{netRateSchemeWorkflowStepId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"rates": {
"if0": 123,
"if100": 123,
"if50": 123,
"if75": 123,
"if85": 123,
"if95": 123,
"mt0": 123,
"mt100": 123,
"mt50": 123,
"mt75": 123,
"mt85": 123,
"mt95": 123,
"nt0": 123,
"nt100": 123,
"nt50": 123,
"nt75": 123,
"nt85": 123,
"nt99": 123,
"repetition": 123,
"tm0": 123,
"tm100": 123,
"tm101": 123,
"tm50": 123,
"tm75": 123,
"tm85": 123,
"tm95": 123
}
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/netRateSchemes/{netRateSchemeUid}/workflowStepNetSchemes/{netRateSchemeWorkflowStepId}"
payload = { "rates": {
"if0": 123,
"if100": 123,
"if50": 123,
"if75": 123,
"if85": 123,
"if95": 123,
"mt0": 123,
"mt100": 123,
"mt50": 123,
"mt75": 123,
"mt85": 123,
"mt95": 123,
"nt0": 123,
"nt100": 123,
"nt50": 123,
"nt75": 123,
"nt85": 123,
"nt99": 123,
"repetition": 123,
"tm0": 123,
"tm100": 123,
"tm101": 123,
"tm50": 123,
"tm75": 123,
"tm85": 123,
"tm95": 123
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rates: {
if0: 123,
if100: 123,
if50: 123,
if75: 123,
if85: 123,
if95: 123,
mt0: 123,
mt100: 123,
mt50: 123,
mt75: 123,
mt85: 123,
mt95: 123,
nt0: 123,
nt100: 123,
nt50: 123,
nt75: 123,
nt85: 123,
nt99: 123,
repetition: 123,
tm0: 123,
tm100: 123,
tm101: 123,
tm50: 123,
tm75: 123,
tm85: 123,
tm95: 123
}
})
};
fetch('https://cloud.memsource.com/web/api2/v1/netRateSchemes/{netRateSchemeUid}/workflowStepNetSchemes/{netRateSchemeWorkflowStepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"rates": {
"if0": 123,
"if100": 123,
"if50": 123,
"if75": 123,
"if85": 123,
"if95": 123,
"mt0": 123,
"mt100": 123,
"mt50": 123,
"mt75": 123,
"mt85": 123,
"mt95": 123,
"nt0": 123,
"nt100": 123,
"nt50": 123,
"nt75": 123,
"nt85": 123,
"nt99": 123,
"repetition": 123,
"tm0": 123,
"tm100": 123,
"tm101": 123,
"tm50": 123,
"tm75": 123,
"tm85": 123,
"tm95": 123
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}Edit scheme for workflow step
Updates the workflow-step-specific rates of the given net rate scheme. Non-translatable (NT) rate fields are returned as zero when the organization edition does not include the non-translatables-in-analyses feature. Requires an internal role (Admin or Project Manager) with the setup-server right; the scheme must belong to the caller’s organization.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Net rate scheme UID
Net rate scheme workflow step ID
Body
Workflow step rate changes
Net rate percentages per match category. Non-translatable (NT) rates are returned as zero when the organization edition does not include the non-translatables-in-analyses feature.
Show child attributes
Show child attributes
Response
OK
Internal numeric identifier of the workflow-step rate entry, encoded as a string
Net rate percentages per match category. Non-translatable (NT) rates are returned as zero when the organization edition does not include the non-translatables-in-analyses feature.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?